Groundeddocs
ReferenceAdmin

Make someone an owner of a team (promotes, adds or invites)

POST/v1/admin/teams/{team}/owners

Path Parameters

team*string

Team slug or ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/teams/string/owners" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{  "data": {    "status": "added",    "member": {      "user": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "email": "string",        "displayName": "string",        "status": "active"      },      "role": "owner",      "revision": 0,      "createdAt": "2019-08-24T14:15:22Z",      "managedBy": {        "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac",        "group": "string"      }    },    "invite": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "string",      "role": "owner",      "invitedBy": "9803bd85-1570-4d91-99f5-3a4d18ccfff0",      "createdAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z"    }  }}